name: label-studio
services:
  label-studio:
    environment:
      PGID: $PGID
      PUID: $PUID
      TZ: $TZ
    image: heartexlabs/label-studio:1.8.1
    deploy:
      resources:
        reservations:
          memory: 256M
    network_mode: bridge
    ports:
      - target: 8080
        published: "3080"
        protocol: tcp
    restart: unless-stopped
    volumes:
      - type: bind
        source: /DATA/AppData/$AppID/data
        target: /label-studio/data
    x-casaos:
      envs:
        - container: TZ
          description:
            en_us: "timezone"
            zh_cn: "时区"
      ports:
        - container: "3080"
          description:
            en_us: WebUI HTTP Port
            zh_cn: WebUI HTTP 端口
x-casaos:
  architectures:
    - amd64
    - arm64
  main: label-studio
  author: CorrectRoadH
  category: AI
  description:
    en_us: Label Studio is an open source data labeling tool. It lets you label data types like audio, text, images, videos, and time series with a simple and straightforward UI and export to various model formats. It can be used to prepare raw data or improve existing training data to get more accurate ML models.
    zh_cn: Label Studio 是一个开源数据标记工具。 它允许您使用简单直观的 UI 来标记音频、文本、图像、视频和时间序列等数据类型，并导出为各种模型格式。 它可用于准备原始数据或改进现有训练数据以获得更准确的机器学习模型。
  developer: Yidadaa
  icon: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/LabelStudio/icon.png
  screenshot_link:
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/LabelStudio/screenshot-1.jpg
  tagline:
    en_us: Label Studio is an open source data labeling tool. It lets you label data types like audio, text, images, videos, and time series with a simple and straightforward UI and export to various model formats. It can be used to prepare raw data or improve existing training data to get more accurate ML models.
    zh_cn: Label Studio 是一个开源数据标记工具。 它允许您使用简单直观的 UI 来标记音频、文本、图像、视频和时间序列等数据类型，并导出为各种模型格式。 它可用于准备原始数据或改进现有训练数据以获得更准确的机器学习模型。
  thumbnail: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/LabelStudio/thumbnail.jpg
  tips: {}
  title:
    en_us: Label Studio   
  port_map: "3080"
